Subject: Re: bug#64226: 30.0.50; emacs-lisp-native-compile-and-load permission error

From: Eli Zaretskii <[email-masked]>
Date: Thu, 22 Jun 2023 20:16:13 +0300

> From: No Wayman <[email-masked]>
> Cc: [email-masked], [email-masked]
> Date: Thu, 22 Jun 2023 12:22:07 -0400
> 
> 
> Eli Zaretskii <[email-masked]> writes:
> 
> > No, I don't think so, not with 
> > emacs-lisp-native-compile-and-load.
> > Andrea, am I right?
> 
> See comp-final:

That's not compilation, that's code generation, the last stage of
compilation.

> >> If, in "emacs -Q", you visit the source file, that is
> >> 
> >>   $HOME/.emacs.d/elpaca/builds/elpaca/elpaca.el
> >> 
> >> and then type
> >> 
> >>   M-: (native-compile buffer-file-name) RET
> >> 
> >> what file name do you see in the echo-area after the 
> >> compilation
> >> finishes?
> 
> The following file name is messaged with no error signaled:
> 
> "/home/n/.emacs.d/eln-cache/30.0.50-58a66af6/elpaca-0646d6fc-1256ece5.eln"

Which is exactly what emacs-lisp-native-compile-and-load does.  So I
wonder what went wrong in your case.

What is the value of native-comp-eln-load-path?

Also, can you show the contents of the file being compiled, which
seems to be /home/n/.emacs.d/elpaca/repos/elpaca/elpaca.el ?